Skip to content

database_api.list_smt_token_emissions ​

since HF23 deprecated

SMT has been abandoned; this RPC method is no longer provided.

Purpose ​

List SMT emissions. Parameters: start:array; limit:int; order:string

  • start depends on order (see below)
  • limit is up to 1000.
  • order can be one of:
    • by_symbol_time - order by symbol and time

| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, "2019-08-07T16:54:03"] | 10 | by_symbol_time | list 10 emissions, ordered by symbol, timestamp |

See: Content Rewards, Qualitative Discussion

Also see: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_symbol_time"
}

⚠ This method is deprecated (SMT-era) and no longer served by public nodes.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_token_emissions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        "2019-08-07T16:54:03"
      ],
      "limit": 10,
      "order": "by_symbol_time"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "token_emissions": []
}